> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/it/knowledge-base/troubleshooting-articles/integrated-security-issues-with-sql-server.md).

# Problemi di sicurezza integrata con SQL Server

Diagnostichi i problemi di sicurezza integrata su uno spazio di lavoro SQL Server in Remote Desktop Manager controllando i log e le impostazioni di contenimento del database.

Poiché i problemi possono derivare da più fonti, durante la configurazione della sicurezza integrata su uno spazio di lavoro SQL server, abbiamo dettagliato alcuni passaggi per aiutare e diagnosticare l'origine.

### Passaggi

#### Recuperare i dettagli del log

1. In Remote Desktop Manager vada su ***Help – Application Logs – Report (tab)***.
2. Clicchi su ***Delete All***.
3. In ***File – Settings – Advanced***:
4. Aumenti il ***Debug level*** a 1.
5. Deselezioni ***Disable stack trace***.
6. Clicchi su ***OK***.
7. Riproduca il problema.
8. Una volta riprodotto il problema, vada su ***Help – Application Logs – Report (tab)***.
9. Clicchi su ***Send to Support***.
10. Se ha già un ticket in corso con noi, specifichi il numero del ticket nell'***Subject***.

#### Verificare se il database è contenuto

{% hint style="info" %}
Per maggiori informazioni sui database contenuti, consulti [Contained database – SQL Server](https://docs.microsoft.com/en-us/sql/relational-databases/security/contained-database-users-making-your-database-portable?view=sql-server-ver15) di Microsoft.
{% endhint %}

Esegua il seguente script per scoprire se il suo database è contenuto. Si assicuri di sostituire ***rdm-database-name*** con il nome del suo database di Remote Desktop Manager.

`SELECT name, containment, containment_desc, compatibility_level FROM sys.databases WHERE name = 'rdm-database-name';`

#### Verificare se il SQL server è aggiunto al dominio

Se esegue le istruzioni manualmente in SSMS (SQL Server Management Studio), cosa ottiene?


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/it/knowledge-base/troubleshooting-articles/integrated-security-issues-with-sql-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
